Subject: [radext] RADEXT @ IETF83: Meeting notes

From: "Sanchez, Mauricio (HP Networking)" <[email-masked]>
Date: Mon, 7 May 2012 22:45:44 +0100

Meeting notes up have been uploaded for our meeting at IETF 83.  Thanks to Stefan for acting as scribe.  Any corrections/modifications welcome prior to May 14.

http://www.ietf.org/proceedings/83/minutes/minutes-83-radext.txt

- Mauricio and Jouni

---

From: Leaf yeh <[email-masked]>
Date: Tue, 8 May 2012 11:05:40 +0000

<quote> 3. RADIUS Accounting Extensions of Traffic Statistics, Leaf Yeh 
-http://tools.ietf.org/html/draft-yeh-radext-ext-traffic-statistics
-"Design-3" (identical to approach in draft-winter-radext-fancyaccounting) uses TLV data type.
-Discussions revealed the fundamental question for go-ahead: should we define accounting attribute just for IPv6 accounting, or a generically re-usable approach to allow accounting after arbitrary criteria?
-Question will be discussed in the course of re-chartering. </quote>

1. Yes, draft-yeh-radext-ext-traffic-statistics-02 adopted TLV as the data type for the new (container) attribute, Acct-Traffic-Statistics, per the new basic data type of TLV defined in draft-ietf-radext-radius-extensions and the expert insistence of Stafen & Alan.

2. I still don't think that to 'define accounting attribute just for IPv6 accounting' can meet the whole requirement of the reporting on the IPv4/IPv6 separated and combined traffic statistics, which was presented & reviewed in the RADEXT session of IETF82, Taipei. Pls. refer to http://www.ietf.org/proceedings/82/slides/radext-2.pptx and Section 9.4 of BBF TR-187. 

If we only define new attribute just for IPv6, we might use this new attribute to report the separated IPv6 traffic statistics, and might use 

42 Acct-Input-Octets [RFC2866]
43 Acct-Output-Octets [RFC2866]
47 Acct-Input-Packets [RFC2866]
48 Acct-Output-Packets [RFC2866]
52 Acct-Input-Gigawords [RFC2869]
53 Acct-Output-Gigawords [RFC2869]

to report the separated IPv4 traffic statistics, but then to report the IPv4/IPv6 combined traffic statistics? Or we do the calculation at the RADIUS server side. I supposed the above 6 attributes might be recommended to report the IPv4/IPv6 combined traffic statistics in Section 9.4 of BBF TR-187.

3. As I mentioned in my presentation (http://www.ietf.org/proceedings/83/slides/slides-83-radext-1.pdf ) at the RADEXT session of IETF83, Paris, to adopt nesting-TLV as the data type for the new defined attribute, Acct-Traffic-Statistics, in the extended type space might gain the extensibility for the future possible refined usage. 

For example, if we intend to report the traffic statistics associated with DSCP, Differentiated Services Code Point, we might include a new sub-attribute in the Group to refine the traffic-type (or we call it stack-type). It sounds a new field in the complex data structure, which at last turns to be a new attribute in the group of nesting-TLV. 

The question to the WG might be whether it is necessary to present DSCP in the traffic statistics. I guess it is not harmful if we defined DSCP attribute now, because the operator still can choose not to use it now. Look forward to your further discussion and comments on it.

I've introduced this item to WG more than 1 year from IETF80 (http://www.ietf.org/proceedings/80/slides/radext-5.pdf ). Really hope it could be published as a work group item soon.

Best Regards,
Leaf Yeh

Advanced Research, Network Product Line, Huawei Technologies Co., Ltd.
Phone: +86-755-28978851,  Mobile: +86-13600451075,  
Postal Address: F4-3A, Huawei, Bantian, Longgang District,Shenzhen 518129, P.R.China

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Sanchez, Mauricio (HP Networking)
Sent: Tuesday, May 08, 2012 5:46 AM
To: [email-masked]
Subject: [radext] RADEXT @ IETF83: Meeting notes

- Mauricio and Jouni
_______________________________________________
radext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/radext

---

From: Leaf yeh <[email-masked]>
Date: Tue, 8 May 2012 11:05:40 +0000

Best Regards,
Leaf Yeh

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Sanchez, Mauricio (HP Networking)
Sent: Tuesday, May 08, 2012 5:46 AM
To: [email-masked]
Subject: [radext] RADEXT @ IETF83: Meeting notes

- Mauricio and Jouni